Name: elinos-libtermcap

Version: 2.0.8
Release: 1

Copyright: LGPL
Source: libtermcap-2.0.8.tar.gz
Patch0: termcap-2.0.8-shared.patch
Patch1: termcap-2.0.8-setuid.patch
Patch2: termcap-2.0.8-instnoroot.patch
Patch3: termcap-2.0.8-compat21.patch
Patch4: termcap-2.0.8-xref.patch
Patch5: termcap-2.0.8-fix-tc.patch
Patch6: termcap-2.0.8-ignore-p.patch
Patch7: termcap-buffer.patch
# This patch is a REALLY BAD IDEA without patch #10 below....
Patch8: termcap-2.0.8-bufsize.patch
Patch9: termcap-2.0.8-colon.patch
Patch10: libtermcap-aaargh.patch
Url: ftp://sunsite.unc.edu/pub/Linux/GCC/
BuildRoot: /var/tmp/%{name}-root
Buildarch: noarch
Prefix: %{_elinos_install_prefix}
BuildRequires: elinos-rpmconfig

#
#  Package: Default (for the SRPM)
#

Summary: A basic system library for accessing the termcap database.
Group: System Environment/Libraries

%description
%{distribution}

This is the source RPM for the libtermcap binary packages in Hard Hat Linux.

#
# Package: Default (for the RPM)
# 

%package -n elinos-libtermcap-%{_elinos_rpmid}
Summary: A basic system library for accessing the termcap database.
Group: System Environment/Libraries
AutoReqProv: no

%description -n elinos-libtermcap-%{_elinos_rpmid}
%{distribution}

The libtermcap package contains a basic system library needed to
access the termcap database.  The termcap library supports easy access
to the termcap database, so that programs can output character-based
displays in a terminal-independent manner.

%files -n elinos-libtermcap-%{_elinos_rpmid}
%defattr(-,root,root)
%{_elinos_install_prefix}/elinos

%prep
%setup -q -n libtermcap-2.0.8
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .nochown
%patch3 -p1 -b .compat21
%patch4 -p1
%patch5 -p1 -b .fix-tc
%patch6 -p1 -b .ignore-p
%patch7 -p1 -b .buffer
%patch8 -p1 -b .bufsize
%patch9 -p1 -b .colon
%patch10 -p1 -b .aaargh

%build

PATH=$PATH:%{_elinos_bin_dir}

make CC="%{_elinos_tool_prefix}gcc %{_elinos_cflags}"

%install
PATH=$PATH:%{_elinos_bin_dir}
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_elinos_install_dir}/%{_elinos_conftarget}/{lib,include}

export PATH=/sbin:$PATH
make prefix=${RPM_BUILD_ROOT}%{_elinos_install_dir}/%{_elinos_conftarget} install
%{_elinos_tool_prefix}ranlib ${RPM_BUILD_ROOT}%{_elinos_install_dir}/%{_elinos_conftarget}/lib/libtermcap.a
cd ${RPM_BUILD_ROOT}%{_elinos_install_dir}/%{_elinos_conftarget}/lib
rm libtermcap.so
ln -s libtermcap.so.%{version} libtermcap.so

%clean
rm -rf ${RPM_BUILD_ROOT}

%changelog
* Thu Mar 13 2001 Marius Grger <mgroeger@sysgo.de>
- Use elinos_conftarget
- Initial Version
