Name: elinos-mounta
Vendor: SYSGO Real-Time Solutions GmbH
Distribution: ELinOS
Packager: <support@elinos.com>
URL: http://www.elinos.com/

Version: 1.0
Release: 1

BuildArchitectures: noarch

Copyright: Sysgo Real-Time Solutions GmbH
Source0: mounta-%{version}.tar.gz

BuildRoot: /var/tmp/%{name}
Prefix: %{_elinos_install_prefix}/elinos


#
#  PACKAGE (default for SRPM)
#
Summary: Utility to auto-mount with minimal resources
Group: Development/System
AutoReqProv: no

%description
Utility to auto-mount with minimal resources

#
#  PACKAGE
#
%package -n elinos-mounta-%{_elinos_rpmid}
Summary: Utility to auto-mount with minimal resources
Group: Development/System
AutoReqProv: no

%description -n elinos-mounta-%{_elinos_rpmid}
Utility to auto-mount with minimal resources

%files -n elinos-mounta-%{_elinos_rpmid}
%defattr(-,root,root)
%{_elinos_install_prefix}/elinos

#
#  PREP
#
%prep
%setup -q -n mounta-%{version}


#
#  BUILD
#
%build

PATH=$PATH:%{_elinos_bin_dir}

make \
 CC="%{_elinos_tool_prefix}gcc %{_elinos_cflags}" \
 prefix=%{_elinos_target_dir}/%{_elinos_libc}/default \
 all

#
#  INSTALL
#
%install
rm -rf $RPM_BUILD_ROOT

PATH=$PATH:%{_elinos_bin_dir}

make \
 CC="%{_elinos_tool_prefix}gcc %{_elinos_cflags}" \
 prefix=${RPM_BUILD_ROOT}%{_elinos_target_dir}/%{_elinos_libc}/default \
 install

%if "%{_elinos_libc}" == "%{_elinos_static_lib}"
make \
 CC="%{_elinos_tool_prefix}gcc -static %{_elinos_cflags}" \
 prefix=${RPM_BUILD_ROOT}%{_elinos_target_dir}/static/default \
 clean install
%endif

#
#  CLEAN
#
%clean
rm -rf $RPM_BUILD_ROOT


#
#  CHANGELOG
#
%changelog
