/***************************************************************************
                          buffer.c  -  description
                             -------------------
    begin                : Mon Sep 15 2003
    copyright            : (C) 2003 by Arno Geissel
    email                : geissel@t-c-linux
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <linux/version.h>
#include <linux/kernel.h>
#include <linux/module.h>

 #if CONFIG_MODVERSIONS==1
 #define MODVERSIONS
 #include <linux/modversions.h>
 #endif

 #include <linux/pci.h>

 #include <pcmcia/cs_types.h>
 #include <pcmcia/cs.h>
 #include <pcmcia/cistpl.h>
 #include <pcmcia/cisreg.h>
 #include <pcmcia/ds.h>

 #include "global.h"
 #include "buffer.h"


 tFifoBuffer main_buffer;

 int init_fifo_buffer(tFifoBuffer *buf)
 {
   buf->psend_outbuf = buf->out_buffer;
   buf->pwrite_outbuf = buf->out_buffer;
   buf->precv_inbuf = buf->in_buffer;
   buf->pread_inbuf = buf->in_buffer;
   buf->recv_count = 0;
   buf->send_count = 0;

   init_waitqueue_head (&main_buffer.waitqueue);
   return 0;
 }

