/***************************************************************************
                          vfs_io.h  -  description
                             -------------------
    begin                : Wed Sep 10 2003
    copyright            : (C) 2003 by Arno Geissel
    email                : geissel@t-c-linux
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __VFS_IO_H__
#define __VFS_IO_H__

#define FLAG_INTERFACE_OPEN   0x01

 typedef struct _tDevice
 {
   unsigned short    minor_no;
   struct  semaphore sem;            // locks this structure
   unsigned char     flags;
   unsigned char     index;
   unsigned char     eoi;
   unsigned char     write_done;     // last write did all its work
 } tDevice;

extern tDevice main_gpib;

extern spinlock_t  lock_gpib_out;
extern spinlock_t  lock_gpib_in;

int init_gpib_driver(void);
void release_gpib_driver(void);

#endif
