/***************************************************************************
                          nmi.h  -  description
                             -------------------
    begin                : Mon Feb 4 2002
    copyright            : (C) 2002 by ag
    email                : arno.geissel@hbm.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

 #ifndef __NMI_H__
 #define __NMI_H__

 #define FALSE          0
 #define TRUE           1

 #define NO_TRIG        0
 #define TRIG           1

 #define FILL_NOVAL     0
 #define FILL_READYV    1
 #define FILL_OK        2
 #define FILL_READY     3
 #define FILL_FULL      4

 #define TRG_START      1
 #define TRG_STOP       2
 #define TRG_MRSTART    3
 #define TRG_MRSTOP     4

 #define FIRST_STARTEVENT   0
 #define FIRST_STOPEVENT    4
 #define FIRST_MRSTARTEVENT 8
 #define FIRST_MRSTOPEVENT  9
 #define LAST_MREVENT       10

 #define GEN_ACT            1
 #define GEN_NEXT           2
 #define GEN_LAST           3

 #define TIMEINC            0x00000400L
 #define NMI_PERIOD         416         // in usecs

 extern long            next_page;

 #endif
