/*
 * jtag_box.c - jtag_port part for Entwicklungsboard
 *
 */


/* $Id: port_entw.c,v 1.1.1.1 2001/12/13 13:09:21 kanne Exp $ */

#include <asm/arch/hardware.h>	/* Adressmapping */
#include "jtag_port.h"


void setup_ports()
{
    // A0 (TMS), A1 (TDI), A3 (TCK)	- out
    // A2 (TDO)				- in
    IO_PADDR = (IO_PADDR & 0xF0) | 0x0B; 
}

void write_jtag_byte(jtag_byte byte)
{
    IO_PADR = byte.value;
}

jtag_byte read_jtag_byte()
{
    jtag_byte byte;
    
    byte.value = IO_PADR;
    return(byte);
}
