/* drivers/video/stpcfb.h
 *
 * Header file for stpcfb.c
 *
 * Copyright (C) 2001 Salvatore Sanfilippo. All rights reserved.
 * Copyright (C) 2001 Marco Pantaleoni. All rights reserved.
 *
 * AUTHORS:
 *   Salvatore Sanfilippo   <antirez@invece.org>
 *   Marco Pantaleoni       <panta@elasticworld.org>
 *
 * This file is subject to the terms and conditions of the GNU General Public
 * License. See the file COPYING in the main directory of this archive
 * for more details.
 */

/* $Id: stpcfb.h,v 1.4 2001/07/11 06:28:04 acs Exp $ */

#ifndef __LINUX_STPCFB_H
#define __LINUX_STPCFB_H

/* This should be exported by fb.h */
#ifndef FONTNAME_SZ
#define FONTNAME_SZ			40
#endif

#endif /* __LINUX_STPCFB_H */

/*
 * Overrides for Emacs so that we follow Linus's tabbing style.
 * ---------------------------------------------------------------------------
 * Local variables:
 * c-basic-offset: 8
 * tab-width: 8
 * c-indent-level: 4
 * c-argdecl-indent: 0
 * c-label-offset: -4
 * c-continued-statement-indent: 0
 * c-brace-offset: -2
 * c-brace-imaginary-offset: 0
 * c-continued-brace-offset: 0
 * indent-tabs-mode: t
 * comment-column: 44
 * End:
 */
