Name: elinos-netcat
Vendor: SYSGO Real-Time Solutions GmbH
Distribution: ELinOS
Packager: <support@elinos.com>
URL: http://www.elinos.com/

Version: 1.1
Release: 1

BuildArchitectures: noarch

Copyright: Sysgo Real-Time Solutions GmbH
Source0: netcat-%{version}.tar.gz

BuildRoot: /var/tmp/%{name}
Prefix: %{_elinos_install_prefix}/elinos


#
#  PACKAGE (default for SRPM)
#
Summary: Generic data transfer across network connections
Group: Development/System
AutoReqProv: no

%description
Netcat 1.10 is an updated release of Netcat, a simple Unix utility which reads
and writes data across network connections using TCP or UDP protocol.  It is
designed to be a reliable "back-end" tool that can be used directly or easily
driven by other programs and scripts.  At the same time it is a feature-rich
network debugging and exploration tool, since it can create almost any kind of
connection you would need and has several interesting built-in capabilities.

Netcat and the associated package is a product of Avian Research, and is freely
available in full source form with no restrictions save an obligation to give
credit where due.  Get it via anonymous FTP at avian.org:/src/hacks/nc110.tgz
which is a gzipped tar file and not to be confused with its version 1.00
precursor, nc100.tgz.  Other distribution formats can be accomodated upon
request.  Netcat is also mirrored at the following [faster] sites:

%files
%defattr(-,root,root)
%{_elinos_install_prefix}/elinos

#
#  PREP
#
%prep
%setup -q -n netcat-%{version}


#
#  BUILD
#
%build

make PREFIX=%{_elinos_install_prefix}/elinos all

#
#  INSTALL
#
%install

rm -rf $RPM_BUILD_ROOT
make PREFIX=${RPM_BUILD_ROOT}%{_elinos_install_prefix}/elinos install


#
#  CLEAN
#
%clean
rm -rf $RPM_BUILD_ROOT


#
#  CHANGELOG
#
%changelog
