Name: elinos-netconfig
Vendor: SYSGO Real-Time Solutions GmbH
Distribution: ELinOS
Packager: <support@elinos.com>
URL: http://www.elinos.com/

Version: 1.4
Release: 1

BuildArchitectures: noarch

Copyright: Sysgo Real-Time Solutions GmbH
Source0: netconfig-%{version}.tar.gz

BuildRoot: /var/tmp/%{name}
Prefix: %{_elinos_install_prefix}/elinos


#
#  PACKAGE (default for SRPM)
#
Summary: Network device configuration tool
Group: Development/System
AutoReqProv: no

%description
Netconfig is used to interactively configure a networking device. 

#
#  PACKAGE
#
%package -n elinos-netconfig-%{_elinos_rpmid}
Summary: Network device configuration tool
Group: Development/System
AutoReqProv: no

%description -n elinos-netconfig-%{_elinos_rpmid}
Netconfig is used to interactively configure a networking device. 

%files -n elinos-netconfig-%{_elinos_rpmid}
%defattr(-,root,root)
%{_elinos_install_prefix}/elinos

#
#  PREP
#
%prep
%setup -q -n netconfig-%{version}


#
#  BUILD
#
%build

PATH=$PATH:%{_elinos_bin_dir}

make \
 CC="%{_elinos_tool_prefix}gcc %{_elinos_cflags}" \
 PREFIX=%{_elinos_target_dir}/%{_elinos_libc}/default \
 all

#
#  INSTALL
#
%install

PATH=$PATH:%{_elinos_bin_dir}

rm -rf $RPM_BUILD_ROOT

make \
 CC="%{_elinos_tool_prefix}gcc %{_elinos_cflags}" \
 PREFIX=${RPM_BUILD_ROOT}%{_elinos_target_dir}/%{_elinos_libc}/default \
 install
 
%if "%{_elinos_libc}" == "%{_elinos_static_lib}"
make \
 CC="%{_elinos_tool_prefix}gcc -static %{_elinos_cflags}" \
 PREFIX=${RPM_BUILD_ROOT}%{_elinos_target_dir}/static/default \
 clean install
%endif

#
#  CLEAN
#
%clean
rm -rf $RPM_BUILD_ROOT


#
#  CHANGELOG
#
%changelog
