Name: elinos-syslinux
Vendor: SYSGO Real-Time Solutions GmbH
Distribution: ELinOS
Packager: <support@elinos.com>
URL: http://www.elinos.com/

Version: 1.53
Release: 1

BuildArchitectures: noarch

Copyright: Sysgo Real-Time Solutions GmbH
Source0: syslinux-%{version}.tar.gz

BuildRoot: /var/tmp/%{name}
Prefix: %{_elinos_install_prefix}/elinos


#
#  PACKAGE
#
Summary: Elinos embedded filesystem packer
Group: Development/System
AutoReqProv: no

%description
SYSLINUX is a boot loader for the Linux operating system which
operates off an MS-DOS/Windows FAT filesystem.  It is intended to
simplify first-time installation of Linux, and for creation of rescue-
and other special-purpose boot disks.

%files
%defattr(-,root,root)
%{_elinos_install_prefix}/elinos
%doc syslinux.doc

#
#  PREP
#
%prep
%setup -q -n syslinux-%{version}


#
#  BUILD
#
%build

make BINDIR=/opt/elinos/bin all

#
#  INSTALL
#
%install

rm -rf $RPM_BUILD_ROOT

install -d -m 755 ${RPM_BUILD_ROOT}%{_elinos_prefix}/bin
make BINDIR=${RPM_BUILD_ROOT}%{_elinos_prefix}/bin install


#
#  CLEAN
#
%clean
rm -rf $RPM_BUILD_ROOT


#
#  CHANGELOG
#
%changelog
