/*
 * arch/ppc/kernel/men824xali.h
 * 
 * Definitions for MEN 824XALI board support
 *
 * Author: Matt Porter <mporter@mvista.com>
 *
 * Copyright 2001 MontaVista Software Inc.
 *
 * This program is free software; you can redistribute  it and/or modify it
 * under  the terms of  the GNU General  Public License as published by the
 * Free Software Foundation;  either version 2 of the  License, or (at your
 * option) any later version.
 */

#ifndef _PPC_KERNEL_MEN824XALI_H
#define _PPC_KERNEL_MEN824XALI_H

#define MEN824XALI_NVRAM_AS0		0x70
#define MEN824XALI_NVRAM_AS1		0x72
#define MEN824XALI_NVRAM_DATA		0x71    

#define	MEN824XALI_IDE0_BASE_ADDR		0x1f0
#define MEN824XALI_IDE1_BASE_ADDR		0x170

#endif /* _PPC_KERNEL_MEN824XALI_H */
