/*
 * BK Id: aulus
 */
/*
 * Honeywell XLweb855T board specific definitions
 * 
 * Copyright (c) 2002 SYSGO Real-Time Solutions GmbH
 */

#ifndef __MACH_XLWEB855T_H
#define __MACH_XLWEB855T_H

#include <linux/config.h>
 
#include <asm/ppcboot.h>

#define	IMAP_ADDR	0xFF000000	/* physical base address of IMMR area */
#define IMAP_SIZE	(64 * 1024)	/* mapped size of IMMR area */

/* We don't use the 8259.
*/
#define NR_8259_INTS	0

#define FEC_INTERRUPT		7		/* = SIU_LEVEL3 */
#define CPM_INTERRUPT		11	/* = SIU_LEVEL5 */

#endif	/* __MACH_XLWEB855T_H */
