/***************************************************************************
                                   types.h
                              -------------------
    project:  USB device for Philips ISP1181A

    begin                : Wed Sep 4 2002
    copyright            : (C) 2002 by HBM GmbH, Siegfried Wessler
    email                : siegfried.wessler@hbm.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


//#define INT96           long double   schmarrn!! s. FLOAT32 etc
//#define INT64           double
#define UINT64          unsigned long long
#define INT64           long long
#define UINT32          unsigned long   // on PC: long = int
#define INT32           long
#define UINT16          unsigned short int
#define INT16           short int
#define UINT8           unsigned char
#define INT8            char
#define FLOAT32         float
#define FLOAT64         double
#define FLOAT96         long double
#define bit             UINT8             // byte is the smallest type on a PC
#define boolean         UINT8             // just to show that used values are only 0 or 1

#define FALSE   0               // to show that this variable is only used as boolean
#define TRUE    (!FALSE)        // sorry, but I still like that genius pascal language ;-)

