/***************************************************************************
                          irq.h  -  description
                             -------------------
    begin                : Wed Sep 11 2002
    copyright            : (C) 2002 by ag
    email                : arno.geissel@hbm.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


 // Set IRQ_NO to level sensitive, since it is not by default, I found out reading 0x4D1!
 // See ZFx86 data book 1.0 Rev B, Table 4.45, works just the same on ETX board for CP42.
 // Check Table 4.52 for interrupt polarity too!
 //#define SET_INTERRUPT_LEVEL outb( (inb((IRQ_NO > 7) ? 0x4D1 : 0x4D0) | (0x01 << (IRQ_NO %8))), (IRQ_NO > 7) ? 0x4D1 : 0x4D0)

 // Set IRQ_NO to edge sensitive...:
 //#define SET_INTERRUPT_EDGE  outb( (inb((IRQ_NO > 7) ? 0x4D1 : 0x4D0) & ~(0x01 << (IRQ_NO %8))), (IRQ_NO > 7) ? 0x4D1 : 0x4D0)

 // defines
 #define GA12_INT_ROLL      1 << 16
 #define GA12_INT_TICTAC    1 << 17
 #define GA12_INT_TEVT      1 << 18
 #define GA12_INT_HOME      1 << 25


 // functions
 //extern void ga12_interrupt(int irq, void *dev_id, struct pt_regs *regs);
 extern int  register_irq(void);
 extern int  cleanup_irq(void);



