/*
 * jtag_port.h - System specific part (port access)
 *
 */


/* $Id: jtag_port.h,v 1.1.1.1 2001/12/13 13:09:21 kanne Exp $ */

#ifndef JTAG_PORT_H
#define JTAG_PORT_H

#include "jtag_byte.h"

typedef union bit_byte {
        unsigned char value;
        struct bit_bits {
            unsigned char bit0:1;
            unsigned char bit1:1;
            unsigned char bit2:1;
            unsigned char bit3:1;
            unsigned char bit4:1;
            unsigned char bit5:1;
            unsigned char bit6:1;
            unsigned char bit7:1;
	} bits;
} bit_byte;

void setup_ports(void);
void write_jtag_byte(jtag_byte byte);
jtag_byte read_jtag_byte(void);

#endif /* ifndef JTAG_PORT_H */
